body {
    background-color     : #f5f5f5;
    background-image     : url(https://dongshustatic.oss-cn-hangzhou.aliyuncs.com/img/login_bg.png);
    background-size      : cover;
    background-repeat    : no-repeat;
    background-position  : center center;
    background-attachment: fixed;
    font-family          : Arial, sans-serif;
    font-size            : 14px;
    color                : #333;
    margin               : 0;
    padding              : 0;
}

h1 {
    color      : #245bbf;
    margin-left: 18px;
    font-weight: 600;
    line-height: 50px;
    font-size  : 28px;
    font-family: PingFangSC-Semibold, PingFang SC;
}

#captcha {
    width: 50%;
}

.login-panel {
    width           : 340px;
    margin          : 68px auto 0;
    margin-top      : calc(50vh - 380px) ;
    padding         : 40px 24px;
    background-color: #fff;
    box-shadow      : 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius   : 4px;

    h2 {
        font-size : 18px;
        margin    : 0 0 20px;
        text-align: center;
    }

    ul {
        display      : flex;
        font-size    : 16px;
        padding      : 0;
        margin-bottom: 40px;
        color        : #878a95;

        li {
            margin-right: 36px;
            list-style  : none;
        }

        .active {
            border-bottom: 4px solid #215ae5;
        }
    }

    form {
        margin : 0;
        padding: 0;
    }


    #sendsms {
        border       : 1px solid #d4d6dc;
        width        : 150px;
        margin-left  : 8px;
        border-radius: 5px;
        background   : white;
    }
}

.form-group {
    margin: 20px 0;
}

.form-group label {
    display      : block;
    font-size    : 14px;
    color        : #999;
    margin-bottom: 8px;
}

.form-group input[type="text"],
.form-group input[type="password"] {
    width        : 100%;
    height       : 44px;
    padding      : 6px 12px;
    font-size    : 14px;
    color        : #333;
    border       : none;
    border-radius: 4px;
    box-sizing   : border-box;
    background   : #f5f6f7;
}

.form-group input[type="submit"] {
    width           : 100%;
    height          : 44px;
    margin-top      : 12px;
    padding         : 0 18px;
    font-size       : 14px;
    font-weight     : bold;
    color           : #fff;
    background-color: #215ae5;
    border-color    : #215ae5;
    border          : 0;
    border-radius   : 4px;
    cursor          : pointer;
}

.form-group img {
    float : right;
    height: 46px;
}

.separator {
    display    : flex;
    align-items: center;
    width      : 62%;
    text-align : center;
    color      : #c8c9cc;
    margin     : 12px 0 6px 0;
}

.separator::before,
.separator::after {
    content   : "";
    flex      : 1;
    border-top: 1px solid #ccc;
    margin    : 0 10px;
}

.other {
    display        : flex;
    justify-content: center;
    align-items    : center;
    margin-top     : 25px;
    line-height    : 30px;
    flex-direction : column;

    a {
        text-decoration: none;
    }

    button {
        align-items     : center;
        background-color: #f5f6f7;
        border          : none;
        border-radius   : 4px;
        box-shadow      : none;
        color           : #282d3c;
        display         : flex;
        font-size       : 14px;
        justify-content : center;
        margin-bottom   : 8px;
        margin-top      : 8px;
        width           : 100%;
        height          : 44px;
    }
}


.modal-overlay {
    display: none; /* 初始隐藏 */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* 半透明背景 */
    z-index: 1000; /* 确保在最上层 */
    justify-content: center;
    align-items: center;
}

.modal {
    background-color: #fff;
    width: 500px;
    height: 500px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    position: relative; /* 为关闭按钮定位 */
    display: flex;
    flex-direction: column; /* 使内容垂直排列 */
    overflow: hidden; /* 隐藏超出部分 */
}

.modal-header {
    padding: 10px;
    /* border-bottom: 1px solid #eee; */
    position: relative; /* 为关闭按钮定位 */
}

.close-btn {
    position: absolute;
    top: 5px;
    right: 10px;
    font-size: 20px;
    cursor: pointer;
    color: #666;
}

.close-btn:hover {
    color: #333;
}

.modal-content {
    padding: 20px;
    flex: 1; /* 使内容填充剩余空间 */
    overflow-y: auto; /* 允许内容滚动 */
}

